Page MenuHomePhabricator

iconv(): Detected an illegal character in CentralAuthUser
Closed, ResolvedPublic

Description

Spotted in production:

Notice: iconv(): Detected an illegal character in input string in /srv/mediawiki/php-1.31.0-wmf.12/extensions/CentralAuth/includes/CentralAuthUser.php on line 1992

Didn't see a stacktrace :(

Details

Related Gerrit Patches:
mediawiki/extensions/CentralAuth : wmf/1.32.0-wmf.13Silence iconv() warnings in CentralAuthUser
mediawiki/extensions/CentralAuth : masterSilence iconv() warnings in CentralAuthUser

Event Timeline

demon created this task.Jul 18 2017, 6:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 6:52 PM
Anomie added a subscriber: Anomie.Sep 14 2017, 7:58 PM

Similar to T9004: PHP iconv() notice on bad password input to Special:Userlogin, with E_ALL enabled.. But the "fix" mentioned there is already in the code, so perhaps it stopped working for some reason?

Reedy updated the task description. (Show Details)Dec 15 2017, 12:21 AM
Reedy updated the task description. (Show Details)Dec 17 2017, 7:11 PM

Last 7 days in Logstash on mediawiki-errors:

messagecount
ErrorException from line 2010 of /srv/mediawiki/php-1.32.0-wmf.12/extensions/CentralAuth/includes/CentralAuthUser.php: PHP Notice: iconv(): Detected an illegal character in input string51
ErrorException from line 2010 of /srv/mediawiki/php-1.32.0-wmf.10/extensions/CentralAuth/includes/CentralAuthUser.php: PHP Notice: iconv(): Detected an illegal character in input string3
ErrorException from line 2010 of /srv/mediawiki/php-1.32.0-wmf.13/extensions/CentralAuth/includes/CentralAuthUser.php: PHP Notice: iconv(): Detected an illegal character in input string2

(Looks like CentralAuth is currently unowned? – per mw:Maintainers.)

Change 446874 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/extensions/CentralAuth@master] Silence iconv() warnings in CentralAuthUser

https://gerrit.wikimedia.org/r/446874

Let's just cut the knot here and use Wikimedia\suppressWarnings() to make the warning go away.

Change 446874 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Silence iconv() warnings in CentralAuthUser

https://gerrit.wikimedia.org/r/446874

Change 447012 had a related patch set uploaded (by Krinkle; owner: Anomie):
[mediawiki/extensions/CentralAuth@wmf/1.32.0-wmf.13] Silence iconv() warnings in CentralAuthUser

https://gerrit.wikimedia.org/r/447012

Krinkle closed this task as Resolved.Jul 20 2018, 1:29 AM
Krinkle claimed this task.

Change 447012 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@wmf/1.32.0-wmf.13] Silence iconv() warnings in CentralAuthUser

https://gerrit.wikimedia.org/r/447012

Mentioned in SAL (#wikimedia-operations) [2018-07-20T01:38:47Z] <krinkle@deploy1001> Synchronized php-1.32.0-wmf.13/extensions/CentralAuth/includes/CentralAuthUser.php: T170971 (duration: 00m 55s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM